classification
Title: smtpd.__all__ list is incomplete
Type: enhancement Stage: resolved
Components: email, Library (Lib) Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Unit03, barry, martin.panter, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2016-05-24 20:41 by Unit03, last changed 2016-06-06 02:55 by martin.panter. This issue is now closed.

Files
File name Uploaded Description Edit
smtpd_all.patch Unit03, 2016-05-24 20:57 review
Messages (6)
msg266270 - (view) Author: Jacek Kołodziej (Unit03) * Date: 2016-05-24 20:41
That's a child issue of #23883, created to propose a patch fixing smtpd module's __all__ list.
msg266272 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-05-24 20:48
Maybe we should blacklist MailmanProxy?  I think we are planning to deprecate it but just haven't yet done the work.  Looks fine otherwise.
msg266284 - (view) Author: Barry A. Warsaw (barry) * (Python committer) Date: 2016-05-24 21:53
On May 24, 2016, at 08:48 PM, R. David Murray wrote:

>Maybe we should blacklist MailmanProxy?  I think we are planning to deprecate
>it but just haven't yet done the work.  Looks fine otherwise.

It's probably not used much TBH.  aiosmtpd has a generic Proxy class.
msg266328 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-05-25 10:31
MailmanProxy is already included in __all__. Is there any advantage of removing it? Normally things are left in __all__ even when they actually get deprecated, as far as I understand.

The patch looks sensible to me (though I am not very familiar with the module).
msg266349 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2016-05-25 13:29
Yeah, good point.  Leave it alone.
msg267506 - (view) Author: Roundup Robot (python-dev) Date: 2016-06-06 02:30
New changeset bcc0c3fd4a40 by Martin Panter in branch 'default':
Issue #27110: Add smtpd.SMTPChannel to __all__, by Jacek Kołodziej
https://hg.python.org/cpython/rev/bcc0c3fd4a40
History
Date User Action Args
2016-06-06 02:55:48martin.pantersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2016-06-06 02:30:51python-devsetnosy: + python-dev
messages: + msg267506
2016-05-25 13:29:31r.david.murraysetmessages: + msg266349
2016-05-25 13:16:53martin.panterlinkissue23883 dependencies
2016-05-25 10:31:53martin.pantersetnosy: + martin.panter

messages: + msg266328
stage: patch review
2016-05-24 21:53:05barrysetmessages: + msg266284
2016-05-24 20:57:31Unit03setfiles: + smtpd_all.patch
2016-05-24 20:57:26Unit03setfiles: - smtpd_all.patch
2016-05-24 20:48:00r.david.murraysetnosy: + barry, r.david.murray
messages: + msg266272
components: + email
2016-05-24 20:41:47Unit03create